Debian Bug report logs - #620422
libreoffice-kdes open/save dialog crashes with enabled ibus

version graph

Package: libreoffice-kde; Maintainer for libreoffice-kde is Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>; Source for libreoffice-kde is src:libreoffice.

Reported by: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>

Date: Fri, 1 Apr 2011 20:15:02 UTC

Severity: important

Found in versions libreoffice/1:3.3.2-1, libreoffice/1:3.5.4+dfsg-4, libreoffice/1:4.1.4-2

Fixed in version 1:4.2.2~rc1-1

Done: Rene Engelhard <rene@debian.org>

Forwarded to https://bugzilla.novell.com/show_bug.cgi?id=665112

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Fri, 01 Apr 2011 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Sergio Borgonovo <ivan.s.b@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Fri, 01 Apr 2011 20:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>
To: submit@bugs.debian.org
Subject: libreoffice-kde makes libreoffice crash on opening documents
Date: Fri, 1 Apr 2011 22:06:44 +0200
Package: libreoffice-kde
Version: 1:3.3.2-1

If libreoffice-kde is installed as soon as I open a new or saved
document libreoffice crash without any error message.

Things that may be interesting: sid, amd64, nvidia proprietary
drivers

-- 
Ivan Sergio Borgonovo
http://www.webthatworks.it





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 02 Jul 2012 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor <victor.gaydov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 02 Jul 2012 19:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 620422@bugs.debian.org (full text, mbox):

From: Victor <victor.gaydov@gmail.com>
To: 620422@bugs.debian.org
Subject: Backtrace
Date: Mon, 2 Jul 2012 23:22:40 +0400
Hello, I can confirm this bug in wheezy. libreoffice-kde makes LO useless, 
because it always crashes when saving document.

Here is backtrace: http://paste.kde.org/511298/


-- Victor


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (1300, 'testing'), (1200, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libreoffice-kde depends on:
ii  kde-runtime       4:4.8.4-1
ii  libc6             2.13-33
ii  libgcc1           1:4.7.0-8
ii  libice6           2:1.0.8-2
ii  libicu48          4.8.1.1-8
ii  libkdecore5       4:4.8.3-2
ii  libkdeui5         4:4.8.3-2
ii  libkfile4         4:4.8.3-2
ii  libkio5           4:4.8.3-2
ii  libqtcore4        4:4.8.2-1
ii  libqtgui4         4:4.8.2-1
ii  libreoffice-core  1:3.5.4-5
ii  libsm6            2:1.2.1-2
ii  libstdc++6        4.7.0-8
ii  libx11-6          2:1.5.0-1
ii  libxext6          2:1.3.1-2
ii  uno-libs3         3.5.4-5
ii  ure               3.5.4-5

Versions of packages libreoffice-kde recommends:
ii  libreoffice-style-oxygen  1:3.5.4-5

Versions of packages libreoffice-kde suggests:
ii  kmail            4:4.4.11.1+l10n-3
ii  konqueror        4:4.8.4-1
pn  libreoffice-kab  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 02 Jul 2012 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 02 Jul 2012 19:57:09 GMT) Full text and rfc822 format available.

Message #15 received at 620422@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Victor <victor.gaydov@gmail.com>, 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Mon, 2 Jul 2012 21:44:08 +0200
On Mon, Jul 02, 2012 at 11:22:40PM +0400, Victor wrote:
> Hello, I can confirm this bug in wheezy. libreoffice-kde makes LO useless, 
> because it always crashes when saving document.

I can't on sid with the same LO, amd64, OOO_FORCE_DESKTOP="kde".

Saves fine for me.

Regards,

Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 02 Jul 2012 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 02 Jul 2012 20:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 620422@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Victor <victor.gaydov@gmail.com>, 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Mon, 2 Jul 2012 22:40:50 +0200
On Mon, Jul 02, 2012 at 09:44:08PM +0200, Rene Engelhard wrote:
> On Mon, Jul 02, 2012 at 11:22:40PM +0400, Victor wrote:
> > Hello, I can confirm this bug in wheezy. libreoffice-kde makes LO useless, 
> > because it always crashes when saving document.
> 
> I can't on sid with the same LO, amd64, OOO_FORCE_DESKTOP="kde".
                                                             ^^^
> 
> Saves fine for me.

kde4.

Also tried on a fresh i386 wheezy chroot + apt-get install libreoffice libreoffice-kde +
libreoffice-style-oxygen and OOO_FORCE_DESKTOP="kde4" 
as chroot etc, and my main system is amd64/sid/gnome).

Works.

Regards,
 
Rene




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 02 Jul 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirosław Zalewski <miniopl@poczta.onet.pl>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 02 Jul 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 620422@bugs.debian.org (full text, mbox):

From: Mirosław Zalewski <miniopl@poczta.onet.pl>
To: Victor <victor.gaydov@gmail.com>, 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Tue, 3 Jul 2012 00:25:31 +0200
On 02/07/2012 at 21:22, Victor <victor.gaydov@gmail.com> wrote:

> Hello, I can confirm this bug in wheezy. libreoffice-kde makes LO useless,
> because it always crashes when saving document.

Sorry, but there must be some another factor involved that causes LO to crash.

Do you, as original reporter, use proprietary nVidia driver? What Qt style do 
you use?

I have Intel video card with open source i915 driver. I am using KDE on my 
main machine (Debian testing amd64). There are many rough edges, but there 
were only two reproducible crashes I had this far:
1. #669910, which magically fixed itself
2. problems with Calc (copying data to SPSS, closed source statistical 
package, caused it to crash) which were caused by QtCurve theme. Switching to 
Oxygen, official and default KDE Qt theme, fixed that.

I definitely did not experienced any crashes with something as crucial as 
open/save dialog.

Best regards
Mirosław Zalewski




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Tue, 03 Jul 2012 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor <victor.gaydov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Tue, 03 Jul 2012 05:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 620422@bugs.debian.org (full text, mbox):

From: Victor <victor.gaydov@gmail.com>
To: 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Tue, 3 Jul 2012 09:24:56 +0400
[Message part 1 (text/plain, inline)]
> I can't on sid with the same LO, amd64, OOO_FORCE_DESKTOP="kde".

$ export OOO_FORCE_DESKTOP="kde4"
$ lowriter                             # Ctrl-S here, LO crashes
Failed to create XIC

So, LO shows qt (or kde) save dialog and immediately crashes
with "Failed to create XIC".

> Sorry, but there must be some another factor involved that causes LO to
> crash.

This fixes problem for me:
  a) removing libreoffice-kde
  b) OOO_FORCE_DESKTOP="none"

> Do you, as original reporter, use proprietary nVidia driver? What Qt style
> do you use?

1. I'm using opensource ati driver. Bug was also reproducible with fglrx.

2. QtCurve. I checked other themes - nothing changed.

> I have Intel video card with open source i915 driver. I am using KDE on my
> main machine (Debian testing amd64). There are many rough edges, but there
> were only two reproducible crashes I had this far:
> 1. #669910, which magically fixed itself
> 2. problems with Calc (copying data to SPSS, closed source statistical
> package, caused it to crash) which were caused by QtCurve theme. Switching
> to Oxygen, official and default KDE Qt theme, fixed that.
> 
> I definitely did not experienced any crashes with something as crucial as
> open/save dialog.
> 
> Best regards
> Mirosław Zalewski

PS. I'm attaching the same backtrace.

-- Victor

Every cloud engenders not a storm.
		-- William Shakespeare, "Henry VI"
[lowriter.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Tue, 03 Jul 2012 05:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor <victor.gaydov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Tue, 03 Jul 2012 05:39:06 GMT) Full text and rfc822 format available.

Message #35 received at 620422@bugs.debian.org (full text, mbox):

From: Victor <victor.gaydov@gmail.com>
To: Mirosław Zalewski <miniopl@poczta.onet.pl>
Cc: 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Tue, 3 Jul 2012 09:35:01 +0400
Hello, I've found the reason of crash here:

 https://bugzilla.novell.com/show_bug.cgi?id=678890
 https://bugzilla.novell.com/show_bug.cgi?id=665112

I'm using ibus and anthy. No crashes after disabling ibus.

----------------

So, LO crashes when it creates kde save dialog and ibus is enabled.

BTW, I'm using kde and ibus together about a year, and LO is the only program 
I saw that have problems with that dialog. So, it's not common problem with 
ibus, I think.

-- Victor

If you laid all of our laws end to end, there would be no end.
		-- Mark Twain




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Tue, 03 Jul 2012 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor <victor.gaydov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Tue, 03 Jul 2012 06:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 620422@bugs.debian.org (full text, mbox):

From: Victor <victor.gaydov@gmail.com>
To: Mirosław Zalewski <miniopl@poczta.onet.pl>
Cc: 620422@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Tue, 3 Jul 2012 09:56:38 +0400
With ibus running this also fixes the problem:

$ export XMODIFIERS=
$ lowriter

In this case alternative input methods are disabled in LO.

-- Victor

Try the Moo Shu Pork.  It is especially good today.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Tue, 03 Jul 2012 18:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Tue, 03 Jul 2012 18:15:02 GMT) Full text and rfc822 format available.

Message #45 received at 620422@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Victor <victor.gaydov@gmail.com>, 620422@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#620422: Backtrace
Date: Tue, 3 Jul 2012 20:01:41 +0200
forwarded 620422 https://bugzilla.novell.com/show_bug.cgi?id=665112 
retitle 620422 libreoffice-kdes open/save dialog crashes with enabled
thanks

On Tue, Jul 03, 2012 at 09:35:01AM +0400, Victor wrote:
> Hello, I've found the reason of crash here:
> 
>  https://bugzilla.novell.com/show_bug.cgi?id=678890
>  https://bugzilla.novell.com/show_bug.cgi?id=665112
> 
> I'm using ibus and anthy. No crashes after disabling ibus.
> 
> ----------------
> 
> So, LO crashes when it creates kde save dialog and ibus is enabled.

Thanks, marking as such.

Regards,

Rene




Set Bug forwarded-to-address to 'https://bugzilla.novell.com/show_bug.cgi?id=665112'. Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 18:15:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'libreoffice-kdes open/save dialog crashes with enabled' from 'libreoffice-kde makes libreoffice crash on opening documents' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 18:15:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'libreoffice-kdes open/save dialog crashes with enabled ibus' from 'libreoffice-kdes open/save dialog crashes with enabled' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Tue, 03 Jul 2012 21:03:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. (Tue, 04 Dec 2012 15:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Fri, 24 May 2013 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Fri, 24 May 2013 18:54:04 GMT) Full text and rfc822 format available.

Message #58 received at 620422@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 620422@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Found in wheezy version as well
Date: Sat, 25 May 2013 02:50:25 +0800
found 620422 1:3.5.4+dfsg-4
thanks

This could be related to the mode of input method, i.e. for IBus and
Fcitx, default mode would be over-the-spot, but seems libreoffice-kde
can only perform good when switched to on-the-spot.

-- 
Regards,
Aron Xu



Marked as found in versions libreoffice/1:3.5.4+dfsg-4. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Fri, 24 May 2013 18:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ralf@skolelinux.de, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Sun, 16 Feb 2014 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Gesellensetter <ralf@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to ralf@skolelinux.de, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Sun, 16 Feb 2014 11:45:05 GMT) Full text and rfc822 format available.

Message #65 received at 620422@bugs.debian.org (full text, mbox):

From: Ralf Gesellensetter <ralf@skolelinux.de>
To: Debian Bug Tracking System <620422@bugs.debian.org>
Subject: Re: libreoffice-kdes open/save dialog crashes with enabled ibus
Date: Sun, 16 Feb 2014 12:41:09 +0100
Package: libreoffice-writer
Version: 1:4.1.4-2+b1
Followup-For: Bug #620422

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

Trying to save the file, i.e. opening the file dialog, led
to a crash of writer.

Console window displays these lines (BTW: don't know if ibus is installed):

Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
"/org/freedesktop/UDisks2/drives/FLASH_Drive_AU_USB20_K0901000000000039428" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/ADATA_USB_Flash_Drive_bd06b276c494d6" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223B_Q9146GASA0031600" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property "Drive" does not exist 
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property "Device" does not exist 
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property "Device" does not exist 
"/org/freedesktop/UDisks2/drives/FLASH_Drive_AU_USB20_K0901000000000039428" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/FLASH_Drive_AU_USB20_K0901000000000039428" : property "Device" does not exist 

(process:24360): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed
QWidget::repaint: Recursive repaint detected

(process:24387): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed

*** End of the template - remove these template lines ***


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.13-0.slh.3-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libreoffice-writer depends on:
ii  libc6                  2.17-97
ii  libgcc1                1:4.8.2-15
ii  libicu52               52.1-3
ii  libmwaw-0.1-1          0.1.11-1
ii  libodfgen-0.0-0        0.0.2-1
ii  libreoffice-base-core  1:4.1.4-2+b1
ii  libreoffice-core       1:4.1.4-2+b1
ii  libstdc++6             4.8.2-15
ii  libwpd-0.9-9           0.9.9-1
ii  libwpg-0.2-2           0.2.2-1
ii  libwps-0.2-2           0.2.9-2
ii  libxml2                2.9.1+dfsg1-3
ii  uno-libs3              4.1.4-2+b1
ii  ure                    4.1.4-2+b1
ii  zlib1g                 1:1.2.8.dfsg-1

Versions of packages libreoffice-writer recommends:
ii  default-jre [java5-runtime]    2:1.7-51
ii  libreoffice-java-common        1:4.1.4-2
ii  libreoffice-math               1:4.1.4-2+b1
ii  openjdk-6-jre [java5-runtime]  6b30-1.13.1-1
ii  openjdk-7-jre [java5-runtime]  7u51-2.4.5-2

Versions of packages libreoffice-writer suggests:
ii  libreoffice-base  1:4.1.4-2+b1
pn  libreoffice-gcj   <none>

Versions of packages libreoffice-core depends on:
ii  fontconfig                      2.11.0-2
ii  fonts-opensymbol                2:102.3+LibO4.1.4-2
ii  libatk1.0-0                     2.10.0-2
ii  libboost-date-time1.54.0        1.54.0-4+b1
ii  libc6                           2.17-97
ii  libcairo2                       1.12.16-2
ii  libclucene-contribs1            2.3.3.4-4
ii  libclucene-core1                2.3.3.4-4
ii  libcmis-0.3-3                   0.3.1-5
ii  libcups2                        1.7.1-2
ii  libcurl3-gnutls                 7.35.0-1
ii  libdbus-1-3                     1.8.0-1
ii  libdbus-glib-1-2                0.102-1
ii  libexpat1                       2.1.0-4
ii  libexttextcat-2.0-0             3.4.3-1
ii  libfontconfig1                  2.11.0-2
ii  libfreetype6                    2.5.2-1
ii  libgcc1                         1:4.8.2-15
ii  libgdk-pixbuf2.0-0              2.28.2-1+b1
ii  libglib2.0-0                    2.36.4-1
ii  libgraphite2-3                  1.2.4-2
ii  libgstreamer-plugins-base1.0-0  1.2.3-1
ii  libgstreamer1.0-0               1.2.3-1
ii  libgtk2.0-0                     2.24.22-1
ii  libharfbuzz-icu0                0.9.26-4
ii  libharfbuzz0b                   0.9.26-4
ii  libhunspell-1.3-0               1.3.2-6
ii  libhyphen0                      2.8.6-3
ii  libice6                         2:1.0.8-2
ii  libicu52                        52.1-3
ii  libjpeg8                        8d-2
ii  liblangtag1                     0.5.1-2
ii  liblcms2-2                      2.2+git20110628-2.3+b1
ii  libldap-2.4-2                   2.4.31-1+nmu2+b1
ii  libmythes-1.2-0                 2:1.2.2-1
ii  libneon27-gnutls                0.30.0-1
ii  libnspr4                        2:4.10.3-1
ii  libnspr4-0d                     2:4.10.3-1
ii  libnss3                         2:3.15.4-2
ii  libnss3-1d                      2:3.15.4-2
ii  libpango-1.0-0                  1.36.0-1+b1
ii  libpangocairo-1.0-0             1.36.0-1+b1
ii  libpangoft2-1.0-0               1.36.0-1+b1
ii  libpng12-0                      1.2.50-1
ii  librdf0                         1.0.17-1
ii  libreoffice-common              1:4.1.4-2
ii  libsm6                          2:1.2.1-2
ii  libssl1.0.0                     1.0.1f-1
ii  libstdc++6                      4.8.2-15
ii  libx11-6                        2:1.6.2-1
ii  libxext6                        2:1.3.2-1
ii  libxinerama1                    2:1.1.3-1
ii  libxml2                         2.9.1+dfsg1-3
ii  libxrandr2                      2:1.4.2-1
ii  libxrender1                     1:0.9.8-1
ii  libxslt1.1                      1.1.28-2
ii  libxt6                          1:1.1.4-1
ii  uno-libs3                       4.1.4-2+b1
ii  ure                             4.1.4-2+b1
ii  zlib1g                          1:1.2.8.dfsg-1

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 03 Mar 2014 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf GESELLENSETTER <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 03 Mar 2014 10:51:04 GMT) Full text and rfc822 format available.

Message #70 received at 620422@bugs.debian.org (full text, mbox):

From: Ralf GESELLENSETTER <rgx@gmx.de>
To: 620422@bugs.debian.org
Subject: Re: Bug#620422: Info received (libreoffice-kdes open/save dialog crashes with enabled ibus)
Date: Mon, 03 Mar 2014 11:47:10 +0100
Hello,

just lost another work of 10 minutes when trying to save it.
Workaround: Wait at least 10 minutes before trying to
save your work, then auto-rescover will have a recent
version of it.

Debugging output on console:

$ libreoffice
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 42 (X_SetInputFocus)
  Resource id:  0x8e0002f
Object::connect: No such signal
org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal
org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
"/org/freedesktop/UDisks2/drives/Kingston_FCR_HS219_2f1_085101002479" :
property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/Kingston_FCR_HS219_2f1_085101002479_3"
: property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/Kingston_FCR_HS219_2f1_085101002479_2"
: property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/Kingston_FCR_HS219_2f1_085101002479_1"
: property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223B_Q9146GASA0031600"
: property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"DeviceNumber" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"Device" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"DeviceNumber" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"Device" does not exist

Regards
Ralf

Version 1:4.1.5-1
http://cdn.debian.net/debian/ sid/main amd64 Packages

Am 16.02.2014 12:45, schrieb Debian Bug Tracking System:
> Thank you for the additional information you have supplied regarding
> this Bug report.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> As you requested using X-Debbugs-CC, your message was also forwarded to
>   ralf@skolelinux.de
> (after having been given a Bug report number, if it did not have one).
>
> Your message has been sent to the package maintainer(s):
>  Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
>
> If you wish to submit further information on this problem, please
> send it to 620422@bugs.debian.org.
>
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
>


-- 
PGP/GnuPG: pub 1024D/E6DE0971




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 03 Mar 2014 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf GESELLENSETTER <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 03 Mar 2014 21:03:04 GMT) Full text and rfc822 format available.

Message #75 received at 620422@bugs.debian.org (full text, mbox):

From: Ralf GESELLENSETTER <rgx@gmx.de>
To: 620422@bugs.debian.org
Subject: Comment on how to recover lost data
Date: Mon, 03 Mar 2014 22:00:12 +0100
Hello,

currently libreoffice calc keeps crashing whenever I
open the "save as" dialogue. This is not the case
if I use "open file" or if I use the export option.

Once, I managed to save a file, by switching file
type to odx (?) (template), then I could type
and save the correct file name incl. .ods in the end.

Next step will be to try if this bug is still when I
create a new user.

For those who have lost work like myself, here is
a fast list of what to do:

- run "foremost -t zip" to find oasis files (foremost
  cannot detect this file type, alas.
- try to figure out what size your file was; delete
  larger files using find like this:
  cd recover/zip
  find -size -10000c -exec rm {} \;
  find -size +21000c -exec rm {} \;
  # files less than 10k and over 21k deleted.
- rename real ODS files accordingly:
  for i in $(grep mimetypeapplication/vnd.oasis.opendocument.spreadsheet
*zip |sed 's/[^0-9]*//g'); do mv $i.zip $i.ods; done
- use "file" to sort out real ODS files:
  mkdir ODS
  for i in $(file *ods |grep Spread |cut -f1 -d\: ); do mv $i ODS; done
- eventually, you will need "loook" (debian package available) in order
  to search your ODF files for the right content!

Regards
Ralf



-- 
PGP/GnuPG: pub 1024D/E6DE0971




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 03 Mar 2014 21:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf GESELLENSETTER <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 03 Mar 2014 21:15:08 GMT) Full text and rfc822 format available.

Message #80 received at 620422@bugs.debian.org (full text, mbox):

From: Ralf GESELLENSETTER <rgx@gmx.de>
To: 620422@bugs.debian.org
Subject: Also crashing for new user test2
Date: Mon, 03 Mar 2014 22:13:33 +0100
It takes about 1-2 seconds after file dialogue displays until the crash
happens.
First time I could save the file, even. It seems like moving the mouse over
exitsting files makes the programme crash...

Once again, here is the console output. I instaleld libreoffice-dbg,
maybe I have
to re-try using gdb...

This bug might be related to #584105 / Version strings below...

test2$ LANG=C libreoffice
I18N: Operating system doesn't support locale "en_US"
Object::connect: No such signal
org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal
org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
"/org/freedesktop/UDisks2/drives/TSSTcorp_CDDVDW_SH_S223B_Q9146GASA0031600"
: property "Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"Drive" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"DeviceNumber" does not exist
"/org/freedesktop/UDisks2/drives/ST3160813AS_9SY2AXGK" : property
"Device" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"DeviceNumber" does not exist
"/org/freedesktop/UDisks2/drives/ST2000DM001_1CH164_Z1F1Z1QQ" : property
"Device" does not exist
Object::connect: No such signal
org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Object::connect: No such signal
org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
LibreOffice(10207): couldn't create slave: "Unable to create io-slave:
klauncher said: Unbekanntes Protokoll ??.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.13-5.slh.3-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libreoffice-calc depends on:
ii  libc6                  2.18-3
ii  libgcc1                1:4.8.2-16
ii  liborcus-0.6-0         0.5.1-7
ii  libreoffice-base-core  1:4.1.5-1
ii  libreoffice-core       1:4.1.5-1
ii  libstdc++6             4.8.2-16
ii  lp-solve               5.5.0.13-7+b1
ii  uno-libs3              4.1.5-1
ii  ure                    4.1.5-1
ii  zlib1g                 1:1.2.8.dfsg-1

libreoffice-calc recommends no packages.

libreoffice-calc suggests no packages.

Versions of packages libreoffice-core depends on:
ii  fontconfig                      2.11.0-5
ii  fonts-opensymbol                2:102.3+LibO4.1.5-1
ii  libatk1.0-0                     2.10.0-2
ii  libboost-date-time1.54.0        1.54.0-4+b1
ii  libc6                           2.18-3
ii  libcairo2                       1.12.16-2
ii  libclucene-contribs1            2.3.3.4-4
ii  libclucene-core1                2.3.3.4-4
ii  libcmis-0.3-3                   0.3.1-5
ii  libcups2                        1.7.1-4
ii  libcurl3-gnutls                 7.35.0-1
ii  libdbus-1-3                     1.8.0-2
ii  libdbus-glib-1-2                0.102-1
ii  libexpat1                       2.1.0-4
ii  libexttextcat-2.0-0             3.4.3-1
ii  libfontconfig1                  2.11.0-5
ii  libfreetype6                    2.5.2-1
ii  libgcc1                         1:4.8.2-16
ii  libgdk-pixbuf2.0-0              2.30.5-1
ii  libglib2.0-0                    2.38.2-5
ii  libgraphite2-3                  1.2.4-2
ii  libgstreamer-plugins-base1.0-0  1.2.3-1
ii  libgstreamer1.0-0               1.2.3-1
ii  libgtk2.0-0                     2.24.22-1
ii  libharfbuzz-icu0                0.9.26-4
ii  libharfbuzz0b                   0.9.26-4
ii  libhunspell-1.3-0               1.3.2-6
ii  libhyphen0                      2.8.6-3
ii  libice6                         2:1.0.8-2
ii  libicu52                        52.1-3
ii  libjpeg8                        8d-2
ii  liblangtag1                     0.5.1-2
ii  liblcms2-2                      2.5-1
ii  libldap-2.4-2                   2.4.31-1+nmu2+b1
ii  libmythes-1.2-0                 2:1.2.2-1
ii  libneon27-gnutls                0.30.0-1
ii  libnspr4                        2:4.10.3-1
ii  libnspr4-0d                     2:4.10.3-1
ii  libnss3                         2:3.15.4-2
ii  libnss3-1d                      2:3.15.4-2
ii  libpango-1.0-0                  1.36.0-1+b1
ii  libpangocairo-1.0-0             1.36.0-1+b1
ii  libpangoft2-1.0-0               1.36.0-1+b1
ii  libpng12-0                      1.2.50-1
ii  librdf0                         1.0.17-1
ii  libreoffice-common              1:4.1.5-1
ii  libsm6                          2:1.2.1-2
ii  libssl1.0.0                     1.0.1f-1
ii  libstdc++6                      4.8.2-16
ii  libx11-6                        2:1.6.2-1
ii  libxext6                        2:1.3.2-1
ii  libxinerama1                    2:1.1.3-1
ii  libxml2                         2.9.1+dfsg1-3
ii  libxrandr2                      2:1.4.2-1
ii  libxrender1                     1:0.9.8-1
ii  libxslt1.1                      1.1.28-2
ii  libxt6                          1:1.1.4-1
ii  uno-libs3                       4.1.5-1
ii  ure                             4.1.5-1
ii  zlib1g                          1:1.2.8.dfsg-1




-- 
PGP/GnuPG: pub 1024D/E6DE0971




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Mon, 03 Mar 2014 21:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf GESELLENSETTER <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Mon, 03 Mar 2014 21:30:12 GMT) Full text and rfc822 format available.

Message #85 received at 620422@bugs.debian.org (full text, mbox):

From: Ralf GESELLENSETTER <rgx@gmx.de>
To: 620422@bugs.debian.org
Subject: [solved] crash depends on libreoffice-kde
Date: Mon, 03 Mar 2014 22:28:46 +0100
This bug could probably be marked as
duplicate of bugs #69002 and #584105

After
apt-get remove libreoffice-kde
apt-get install libreoffice-gtk

the problem is gone.

-- 
PGP/GnuPG: pub 1024D/E6DE0971




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Tue, 04 Mar 2014 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Tue, 04 Mar 2014 09:03:04 GMT) Full text and rfc822 format available.

Message #90 received at 620422@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Ralf GESELLENSETTER <rgx@gmx.de>, 620422@bugs.debian.org
Subject: Re: Bug#620422: [solved] crash depends on libreoffice-kde
Date: Tue, 4 Mar 2014 10:00:06 +0100
On Mon, Mar 03, 2014 at 10:28:46PM +0100, Ralf GESELLENSETTER wrote:
> This bug could probably be marked as
> duplicate of bugs #69002 and #584105
                     ^^^^^

wrong bug?

For 584105: 584105 doesn't talk about the file
ddialogue. So it's not the same one unless oemone has a similar
or a same backtrace ;-)

That said, yes, 4.1.x is buggy in that way, maybe I should update
it with Munich's KDE patches (one was backported in 4.1.5-1 already
closing two bugs). Or just wait and hope for 4.2.x ;-)

If you want, it would be nice to test the KDE bugs with 4.2.1 (in
experimental)?

Regards,

Rene



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>:
Bug#620422; Package libreoffice-kde. (Thu, 20 Mar 2014 03:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reuben <reuben_p@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>. (Thu, 20 Mar 2014 03:09:04 GMT) Full text and rfc822 format available.

Message #95 received at 620422@bugs.debian.org (full text, mbox):

From: Reuben <reuben_p@yahoo.com>
To: 620422@bugs.debian.org
Subject: 4.2.2~rc1-1
Date: Thu, 20 Mar 2014 13:06:46 +1000
Seems to work ok in the current experimental version.



Reply sent to Rene Engelhard <rene@debian.org>:
You have taken responsibility. (Thu, 20 Mar 2014 15:18:09 GMT) Full text and rfc822 format available.

Notification sent to Ivan Sergio Borgonovo <ivan.s.b@gmail.com>:
Bug acknowledged by developer. (Thu, 20 Mar 2014 15:18:09 GMT) Full text and rfc822 format available.

Message #100 received at 620422-done@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 620422-done@bugs.debian.org
Cc: Reuben <reuben_p@yahoo.com>
Subject: Re: Bug#620422: 4.2.2~rc1-1
Date: Thu, 20 Mar 2014 16:15:32 +0100
Version: 1:4.2.2~rc1-1

Hi,

On Thu, Mar 20, 2014 at 01:06:46PM +1000, Reuben wrote:
> Seems to work ok in the current experimental version.

Thanks. Closing.

Regards,

Rene



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:44:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.